Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4647)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4648)
@@ -1019,6 +995,6 @@
 
 !
-!-- If number_particles_per_gridbox is set, the parametres pdx, pdy and pdz are
-!-- calculated diagnostically. Therfore an isotropic distribution is prescribed.
+!-- If number_particles_per_gridbox is set, the parametres pdx, pdy and pdz are calculated
+!-- diagnostically. Therfore an isotropic distribution is prescribed.
     IF ( number_particles_per_gridbox /= -1 .AND.   &
          number_particles_per_gridbox >= 1 )    THEN
@@ -1026,6 +1002,5 @@
              REAL(number_particles_per_gridbox))**0.3333333_wp
 !
-!--    Ensure a smooth value (two significant digits) of distance between
-!--    particles (pdx, pdy, pdz).
+!--    Ensure a smooth value (two significant digits) of distance between particles (pdx, pdy, pdz).
        div = 1000.0_wp
        DO  WHILE ( pdx(1) < div )
@@ -1066,11 +1041,9 @@
 
 !
-!-- Allocate array required for logarithmic vertical interpolation of
-!-- horizontal particle velocities between the surface and the first vertical
-!-- grid level. In order to avoid repeated CPU cost-intensive CALLS of
-!-- intrinsic FORTRAN procedure LOG(z/z0), LOG(z/z0) is precalculated for
+!-- Allocate array required for logarithmic vertical interpolation of horizontal particle velocities
+!-- between the surface and the first vertical grid level. In order to avoid repeated CPU
+!-- cost-intensive CALLS of intrinsic FORTRAN procedure LOG(z/z0), LOG(z/z0) is precalculated for
 !-- several heights. Splitting into 20 sublayers turned out to be sufficient.
-!-- To obtain exact height levels of particles, linear interpolation is applied
-!-- (see lpm_advec.f90).
+!-- To obtain exact height levels of particles, linear interpolation is applied (see lpm_advec.f90).
     IF ( constant_flux_layer )  THEN
 
@@ -1079,15 +1052,12 @@
 
 !
-!--    Calculate horizontal mean value of z0 used for logartihmic
-!--    interpolation. Note: this is not exact for heterogeneous z0.
-!--    However, sensitivity studies showed that the effect is
-!--    negligible.
-       z0_av_local  = SUM( surf_def_h(0)%z0 ) + SUM( surf_lsm_h%z0 ) +         &
-                      SUM( surf_usm_h%z0 )
+!--    Calculate horizontal mean value of z0 used for logartihmic interpolation. Note: this is not
+!--    exact for heterogeneous z0.
+!--    However, sensitivity studies showed that the effect is negligible.
+       z0_av_local  = SUM( surf_def_h(0)%z0 ) + SUM( surf_lsm_h%z0 ) + SUM( surf_usm_h%z0 )
        z0_av_global = 0.0_wp
 
 #if defined( __parallel )
-       CALL MPI_ALLREDUCE(z0_av_local, z0_av_global, 1, MPI_REAL, MPI_SUM, &
-                          comm2d, ierr )
+       CALL MPI_ALLREDUCE( z0_av_local, z0_av_global, 1, MPI_REAL, MPI_SUM, comm2d, ierr )
 #else
        z0_av_global = z0_av_local
@@ -1143,5 +1113,5 @@
 
        CASE DEFAULT
-          WRITE( message_string, * )  'unknown boundary condition ',           &
+          WRITE( message_string, * )  'unknown boundary condition ',                               &
                                        'bc_par_b = "', TRIM( bc_par_b ), '"'
           CALL message( 'lpm_init', 'PA0217', 1, 2, 0, 6, 0 )
@@ -1160,5 +1130,5 @@
 
        CASE DEFAULT
-          WRITE( message_string, * ) 'unknown boundary condition ',            &
+          WRITE( message_string, * ) 'unknown boundary condition ',                                &
                                      'bc_par_t = "', TRIM( bc_par_t ), '"'
           CALL message( 'lpm_init', 'PA0218', 1, 2, 0, 6, 0 )
@@ -1180,5 +1150,5 @@
 
        CASE DEFAULT
-          WRITE( message_string, * ) 'unknown boundary condition ',   &
+          WRITE( message_string, * ) 'unknown boundary condition ',                                &
                                      'bc_par_lr = "', TRIM( bc_par_lr ), '"'
           CALL message( 'lpm_init', 'PA0219', 1, 2, 0, 6, 0 )
@@ -1200,5 +1170,5 @@
 
        CASE DEFAULT
-          WRITE( message_string, * ) 'unknown boundary condition ',   &
+          WRITE( message_string, * ) 'unknown boundary condition ',                                &
                                      'bc_par_ns = "', TRIM( bc_par_ns ), '"'
           CALL message( 'lpm_init', 'PA0220', 1, 2, 0, 6, 0 )
@@ -1217,6 +1187,5 @@
 
        CASE DEFAULT
-          WRITE( message_string, * )  'unknown splitting_mode = "',            &
-                                      TRIM( splitting_mode ), '"'
+          WRITE( message_string, * )  'unknown splitting_mode = "', TRIM( splitting_mode ), '"'
           CALL message( 'lpm_init', 'PA0146', 1, 2, 0, 6, 0 )
 
@@ -1234,5 +1203,5 @@
 
        CASE DEFAULT
-          WRITE( message_string, * )  'unknown splitting function = "',        &
+          WRITE( message_string, * )  'unknown splitting function = "',                            &
                                        TRIM( splitting_function ), '"'
           CALL message( 'lpm_init', 'PA0147', 1, 2, 0, 6, 0 )
@@ -1244,14 +1213,14 @@
 
 !
-!-- For the first model run of a possible job chain initialize the
-!-- particles, otherwise read the particle data from restart file.
-    IF ( TRIM( initializing_actions ) == 'read_restart_data'  &
+!-- For the first model run of a possible job chain initialize the particles, otherwise read the
+!-- particle data from restart file.
+    IF ( TRIM( initializing_actions ) == 'read_restart_data'                                       &
          .AND.  read_particles_from_restartfile )  THEN
        CALL lpm_rrd_local_particles
     ELSE
 !
-!--    Allocate particle arrays and set attributes of the initial set of
-!--    particles, which can be also periodically released at later times.
-       ALLOCATE( prt_count(nzb:nzt+1,nysg:nyng,nxlg:nxrg), &
+!--    Allocate particle arrays and set attributes of the initial set of particles, which can be
+!--    also periodically released at later times.
+       ALLOCATE( prt_count(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                         &
                  grid_particles(nzb+1:nzt,nys:nyn,nxl:nxr) )
 
@@ -1259,20 +1228,19 @@
        prt_count           = 0
 !
-!--    initialize counter for particle IDs
+!--    Initialize counter for particle IDs
        grid_particles%id_counter = 1
 !
-!--    Initialize all particles with dummy values (otherwise errors may
-!--    occur within restart runs). The reason for this is still not clear
-!--    and may be presumably caused by errors in the respective user-interface.
-       zero_particle = particle_type( 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
-                                      0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
-                                      0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
-                                      0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
+!--    Initialize all particles with dummy values (otherwise errors may occur within restart runs).
+!--    The reason for this is still not clear and may be presumably caused by errors in the
+!--    respective user-interface.
+       zero_particle = particle_type( 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,                      &
+                                      0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,                      &
+                                      0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,                      &
+                                      0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,                      &
                                       0, 0, 0_idp, .FALSE., -1, -1 )
 
        particle_groups = particle_groups_type( 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp )
 !
-!--    Set values for the density ratio and radius for all particle
-!--    groups, if necessary
+!--    Set values for the density ratio and radius for all particle groups, if necessary.
        IF ( density_ratio(1) == 9999999.9_wp )  density_ratio(1) = 0.0_wp
        IF ( radius(1)        == 9999999.9_wp )  radius(1) = 0.0_wp
@@ -1286,5 +1254,5 @@
        DO  i = 1, number_of_particle_groups
           IF ( density_ratio(i) /= 0.0_wp  .AND.  radius(i) == 0 )  THEN
-             WRITE( message_string, * ) 'particle group #', i, ' has a',       &
+             WRITE( message_string, * ) 'particle group #', i, ' has a',                           &
                                         'density ratio /= 0 but radius = 0'
              CALL message( 'lpm_init', 'PA0215', 1, 2, 0, 6, 0 )
@@ -1295,5 +1263,5 @@
 
 !
-!--    Initialize parallel random number sequence seed for particles
+!--    Initialize parallel random number sequence seed for particles.
 !--    This is done separately here, as thus particle random numbers do not affect the random
 !--    numbers used for the flow field (e.g. for generating flow disturbances).
@@ -1301,6 +1269,5 @@
        seq_random_array_particles = 0
 
-!--    Initializing with random_seed_parallel for every vertical
-!--    gridpoint column.
+!--    Initializing with random_seed_parallel for every vertical gridpoint column.
        random_dummy = 0
        DO  i = nxl, nxr
@@ -1322,6 +1289,5 @@
        IF ( write_particle_statistics )  THEN
           CALL check_open( 80 )
-          WRITE ( 80, 8000 )  current_timestep_number, simulated_time,         &
-                              number_of_particles
+          WRITE ( 80, 8000 )  current_timestep_number, simulated_time, number_of_particles
           CALL close_file( 80 )
        ENDIF
@@ -1333,4 +1299,5 @@
 #endif
 
+!
 !-- next line is in preparation for particle data output
 !    CALL dop_init
@@ -1346,10 +1313,10 @@
 
  END SUBROUTINE lpm_init
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Create Lagrangian particles
-!------------------------------------------------------------------------------!  
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_create_particle (phase)
 
@@ -1378,10 +1345,9 @@
     REAL(wp)                   ::  rand_contr !< dummy argument for random position
 
-    TYPE(particle_type),TARGET ::  tmp_particle !< temporary particle used for initialization
-
-
-!
-!-- Calculate particle positions and store particle attributes, if
-!-- particle is situated on this PE
+    TYPE(particle_type), TARGET ::  tmp_particle !< temporary particle used for initialization
+
+
+!
+!-- Calculate particle positions and store particle attributes, if particle is situated on this PE.
     DO  loop_stride = 1, 2
        first_stride = (loop_stride == 1)
@@ -1395,6 +1361,5 @@
 !--    Calculate initial_weighting_factor diagnostically
        IF ( number_concentration /= -1.0_wp  .AND.  number_concentration > 0.0_wp )  THEN
-          initial_weighting_factor =  number_concentration  *                           &
-                                      pdx(1) * pdy(1) * pdz(1)
+          initial_weighting_factor =  number_concentration * pdx(1) * pdy(1) * pdz(1)
        END IF
 
@@ -1406,10 +1371,8 @@
                 pos_y = pss(i)
                 DO WHILE ( pos_y <= psn(i) )
-                   IF ( pos_y >= nys * dy  .AND.                  &
-                        pos_y <  ( nyn + 1 ) * dy  )  THEN
+                   IF ( pos_y >= nys * dy  .AND.  pos_y <  ( nyn + 1 ) * dy  )  THEN
                       pos_x = psl(i)
                xloop: DO WHILE ( pos_x <= psr(i) )
-                         IF ( pos_x >= nxl * dx  .AND.            &
-                              pos_x <  ( nxr + 1) * dx )  THEN
+                         IF ( pos_x >= nxl * dx  .AND.  pos_x <  ( nxr + 1) * dx )  THEN
                             DO  j = 1, particles_per_point
                                n = n + 1
@@ -1450,5 +1413,5 @@
 !
 !--                            In case of stretching the actual k index is found iteratively
-                               IF ( dz_stretch_level /= -9999999.9_wp  .OR.           &
+                               IF ( dz_stretch_level /= -9999999.9_wp  .OR.                        &
                                     dz_stretch_level_start(1) /= -9999999.9_wp )  THEN
                                   kp = MAX( MINLOC( ABS( tmp_particle%z - zu ), DIM = 1 ) - 1, 1 )
@@ -1457,6 +1420,6 @@
                                ENDIF
 !
-!--                            Determine surface level. Therefore, check for
-!--                            upward-facing wall on w-grid. 
+!--                            Determine surface level. Therefore, check for upward-facing wall on
+!--                            w-grid.
                                k_surf = topo_top_ind(jp,ip,3)
                                IF ( seed_follows_topography )  THEN
@@ -1465,20 +1428,18 @@
                                   kp = kp + k_surf
                                   tmp_particle%z = tmp_particle%z + zw(k_surf)
-!--                               Skip particle release if particle position is
-!--                               above model top, or within topography in case
-!--                               of overhanging structures.
-                                  IF ( kp > nzt  .OR.                          &
-                                 .NOT. BTEST( wall_flags_total_0(kp,jp,ip), 0 ) )  THEN
+!
+!--                               Skip particle release if particle position is above model top, or
+!--                               within topography in case of overhanging structures.
+                                  IF ( kp > nzt  .OR.                                              &
+                                       .NOT. BTEST( wall_flags_total_0(kp,jp,ip), 0 ) )  THEN
                                      pos_x = pos_x + pdx(i)
                                      CYCLE xloop
                                   ENDIF
 !
-!--                            Skip particle release if particle position is
-!--                            below surface, or within topography in case
-!--                            of overhanging structures.
-                               ELSEIF ( .NOT. seed_follows_topography .AND.    &
-                                         tmp_particle%z <= zw(k_surf)  .OR.    &
-                                        .NOT. BTEST( wall_flags_total_0(kp,jp,ip), 0 ) )&
-                               THEN
+!--                            Skip particle release if particle position is below surface, or
+!--                            within topography in case of overhanging structures.
+                               ELSEIF ( .NOT. seed_follows_topography .AND.                        &
+                                         tmp_particle%z <= zw(k_surf)  .OR.                        &
+                                        .NOT. BTEST( wall_flags_total_0(kp,jp,ip), 0 ) )  THEN
                                   pos_x = pos_x + pdx(i)
                                   CYCLE xloop
@@ -1494,5 +1455,6 @@
                                      write(6,*) 'xu ',ip,jp,kp,nxr,nyn,nzt
                                   ENDIF
-                                  grid_particles(kp,jp,ip)%particles(local_count(kp,jp,ip)) = tmp_particle
+                                  grid_particles(kp,jp,ip)%particles(local_count(kp,jp,ip)) =      &
+                                                                                        tmp_particle
                                ENDIF
                             ENDDO
@@ -1513,9 +1475,8 @@
              DO  jp = nys, nyn
                 DO  kp = nzb+1, nzt
-                   IF ( phase == PHASE_INIT )  THEN
+                   IF ( phase == phase_init )  THEN
                       IF ( local_count(kp,jp,ip) > 0 )  THEN
-                         alloc_size = MAX( INT( local_count(kp,jp,ip) *        &
-                            ( 1.0_wp + alloc_factor / 100.0_wp ) ),            &
-                            1 )
+                         alloc_size = MAX( INT( local_count(kp,jp,ip) *                            &
+                                                ( 1.0_wp + alloc_factor / 100.0_wp ) ), 1 )
                       ELSE
                          alloc_size = 1
@@ -1525,9 +1486,9 @@
                          grid_particles(kp,jp,ip)%particles(n) = zero_particle
                       ENDDO
-                   ELSEIF ( phase == PHASE_RELEASE )  THEN
+                   ELSEIF ( phase == phase_release )  THEN
                       IF ( local_count(kp,jp,ip) > 0 )  THEN
                          new_size   = local_count(kp,jp,ip) + prt_count(kp,jp,ip)
-                         alloc_size = MAX( INT( new_size * ( 1.0_wp +          &
-                            alloc_factor / 100.0_wp ) ), 1 )
+                         alloc_size = MAX( INT( new_size * ( 1.0_wp +                              &
+                                                alloc_factor / 100.0_wp ) ), 1 )
                          IF( alloc_size > SIZE( grid_particles(kp,jp,ip)%particles) )  THEN
                             CALL realloc_particles_array( ip, jp, kp, alloc_size )
@@ -1555,10 +1516,9 @@
              DO  n = local_start(kp,jp,ip), number_of_particles  !only new particles
 
-                particles(n)%id = 10000_idp**3 * grid_particles(kp,jp,ip)%id_counter + &
+                particles(n)%id = 10000_idp**3 * grid_particles(kp,jp,ip)%id_counter +             &
                                   10000_idp**2 * kp + 10000_idp * jp + ip
 !
 !--             Count the number of particles that have been released before
-                grid_particles(kp,jp,ip)%id_counter =                          &
-                                         grid_particles(kp,jp,ip)%id_counter + 1
+                grid_particles(kp,jp,ip)%id_counter = grid_particles(kp,jp,ip)%id_counter + 1
 
              ENDDO
@@ -1585,41 +1545,37 @@
                 particles => grid_particles(kp,jp,ip)%particles(1:number_of_particles)
 !
-!--             Move only new particles. Moreover, limit random fluctuation
-!--             in order to prevent that particles move more than one grid box,
-!--             which would lead to problems concerning particle exchange
-!--             between processors in case pdx/pdy are larger than dx/dy,
+!--             Move only new particles. Moreover, limit random fluctuation in order to prevent that
+!--             particles move more than one grid box, which would lead to problems concerning
+!--             particle exchange between processors in case pdx/pdy are larger than dx/dy,
 !--             respectively.
                 DO  n = local_start(kp,jp,ip), number_of_particles
                    IF ( psl(particles(n)%group) /= psr(particles(n)%group) )  THEN
                       CALL random_number_parallel( random_dummy )
-                      rand_contr = ( random_dummy - 0.5_wp ) *                 &
-                                     pdx(particles(n)%group)
-                      particles(n)%x = particles(n)%x +                        &
-                              MERGE( rand_contr, SIGN( dx, rand_contr ),       &
-                                     ABS( rand_contr ) < dx                    &
-                                   )
+                      rand_contr = ( random_dummy - 0.5_wp ) * pdx(particles(n)%group)
+                      particles(n)%x = particles(n)%x +                                            &
+                                       MERGE( rand_contr, SIGN( dx, rand_contr ),                  &
+                                              ABS( rand_contr ) < dx                               &
+                                            )
                    ENDIF
                    IF ( pss(particles(n)%group) /= psn(particles(n)%group) )  THEN
                       CALL random_number_parallel( random_dummy )
-                      rand_contr = ( random_dummy - 0.5_wp ) *                 &
-                                     pdy(particles(n)%group)
-                      particles(n)%y = particles(n)%y +                        &
-                              MERGE( rand_contr, SIGN( dy, rand_contr ),       &
-                                     ABS( rand_contr ) < dy                    &
-                                   )
+                      rand_contr = ( random_dummy - 0.5_wp ) * pdy(particles(n)%group)
+                      particles(n)%y = particles(n)%y +                                            &
+                                       MERGE( rand_contr, SIGN( dy, rand_contr ),                  &
+                                              ABS( rand_contr ) < dy                               &
+                                            )
                    ENDIF
                    IF ( psb(particles(n)%group) /= pst(particles(n)%group) )  THEN
                       CALL random_number_parallel( random_dummy )
-                      rand_contr = ( random_dummy - 0.5_wp ) *                 &
-                                     pdz(particles(n)%group)
-                      particles(n)%z = particles(n)%z +                        &
-                              MERGE( rand_contr, SIGN( dzw(kp), rand_contr ),  &
-                                     ABS( rand_contr ) < dzw(kp)               &
-                                   )
+                      rand_contr = ( random_dummy - 0.5_wp ) * pdz(particles(n)%group)
+                      particles(n)%z = particles(n)%z +                                            &
+                                       MERGE( rand_contr, SIGN( dzw(kp), rand_contr ),             &
+                                              ABS( rand_contr ) < dzw(kp)                          &
+                                            )
                    ENDIF
                 ENDDO
 !
-!--             Identify particles located outside the model domain and reflect
-!--             or absorb them if necessary.
+!--             Identify particles located outside the model domain and reflect or absorb them if
+!--             necessary.
                 CALL lpm_boundary_conds( 'bottom/top', i, j, k )
 !
@@ -1627,6 +1583,5 @@
 !--             the particle speed is still zero at this point, wall
 !--             reflection boundary conditions will not work in this case.
-                particles =>                                                   &
-                       grid_particles(kp,jp,ip)%particles(1:number_of_particles)
+                particles =>  grid_particles(kp,jp,ip)%particles(1:number_of_particles)
                 DO  n = local_start(kp,jp,ip), number_of_particles
                    i = particles(n)%x * ddx
@@ -1660,8 +1615,7 @@
     ENDIF
 !
-!-- In case of random_start_position, delete particles identified by
-!-- lpm_exchange_horiz and lpm_boundary_conds. Then sort particles into blocks,
-!-- which is needed for a fast interpolation of the LES fields on the particle
-!-- position.
+!-- In case of random_start_position, delete particles identified by lpm_exchange_horiz and
+!-- lpm_boundary_conds. Then sort particles into blocks, which is needed for a fast interpolation of
+!-- the LES fields on the particle position.
     CALL lpm_sort_and_delete
 !
@@ -1670,6 +1624,5 @@
        DO  jp = nys, nyn
           DO  kp = nzb+1, nzt
-             number_of_particles         = number_of_particles                 &
-                                           + prt_count(kp,jp,ip)
+             number_of_particles         = number_of_particles + prt_count(kp,jp,ip)
           ENDDO
        ENDDO
@@ -1679,6 +1632,6 @@
 #if defined( __parallel )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( number_of_particles, total_number_of_particles, 1, &
-    MPI_INTEGER, MPI_SUM, comm2d, ierr )
+    CALL MPI_ALLREDUCE( number_of_particles, total_number_of_particles, 1, MPI_INTEGER, MPI_SUM,   &
+                        comm2d, ierr )
 #else
     total_number_of_particles = number_of_particles
@@ -1688,13 +1641,19 @@
 
  END SUBROUTINE lpm_create_particle
- 
- 
-!------------------------------------------------------------------------------!
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> This routine initialize the particles as aerosols with physio-chemical 
-!> properties. 
-!------------------------------------------------------------------------------!   
+!> This routine initializes the particles as aerosols with physio-chemical properties.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_init_aerosols(local_start)
+
+    INTEGER(iwp) ::  ip             !<
+    INTEGER(iwp) ::  jp             !<
+    INTEGER(iwp) ::  kp             !<
+    INTEGER(iwp) ::  n              !<
+
+    INTEGER(iwp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg), INTENT(IN) ::  local_start !<
 
     REAL(wp) ::  afactor            !< curvature effects
@@ -1703,36 +1662,30 @@
     REAL(wp) ::  e_a                !< vapor pressure
     REAL(wp) ::  e_s                !< saturation vapor pressure
+    REAL(wp) ::  rmax = 10.0e-6_wp  !< maximum aerosol radius
     REAL(wp) ::  rmin = 0.005e-6_wp !< minimum aerosol radius
-    REAL(wp) ::  rmax = 10.0e-6_wp  !< maximum aerosol radius
+    REAL(wp) ::  r_l                !< left radius of bin
     REAL(wp) ::  r_mid              !< mean radius of bin
-    REAL(wp) ::  r_l                !< left radius of bin
     REAL(wp) ::  r_r                !< right radius of bin
     REAL(wp) ::  sigma              !< surface tension
     REAL(wp) ::  t_int              !< temperature
 
-    INTEGER(iwp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg), INTENT(IN) ::  local_start !<
-
-    INTEGER(iwp) ::  n              !<
-    INTEGER(iwp) ::  ip             !<
-    INTEGER(iwp) ::  jp             !<
-    INTEGER(iwp) ::  kp             !<
 
 !
 !-- Set constants for different aerosol species
     IF ( TRIM( aero_species ) == 'nacl' )  THEN
-       molecular_weight_of_solute = 0.05844_wp 
+       molecular_weight_of_solute = 0.05844_wp
        rho_s                      = 2165.0_wp
        vanthoff                   = 2.0_wp
     ELSEIF ( TRIM( aero_species ) == 'c3h4o4' )  THEN
-       molecular_weight_of_solute = 0.10406_wp 
+       molecular_weight_of_solute = 0.10406_wp
        rho_s                      = 1600.0_wp
        vanthoff                   = 1.37_wp
     ELSEIF ( TRIM( aero_species ) == 'nh4o3' )  THEN
-       molecular_weight_of_solute = 0.08004_wp 
+       molecular_weight_of_solute = 0.08004_wp
        rho_s                      = 1720.0_wp
        vanthoff                   = 2.31_wp
     ELSE
-       WRITE( message_string, * ) 'unknown aerosol species ',   &
-                                'aero_species = "', TRIM( aero_species ), '"'
+       WRITE( message_string, * ) 'unknown aerosol species ',                                      &
+                                  'aero_species = "', TRIM( aero_species ), '"'
        CALL message( 'lpm_init', 'PA0470', 1, 2, 0, 6, 0 )
     ENDIF
@@ -1771,6 +1724,6 @@
        CONTINUE
     ELSE
-       WRITE( message_string, * ) 'unknown aerosol type ',   &
-                                'aero_type = "', TRIM( aero_type ), '"'
+       WRITE( message_string, * ) 'unknown aerosol type ',                                         &
+                                  'aero_type = "', TRIM( aero_type ), '"'
        CALL message( 'lpm_init', 'PA0459', 1, 2, 0, 6, 0 )
     ENDIF
@@ -1787,9 +1740,9 @@
              particles => grid_particles(kp,jp,ip)%particles(1:number_of_particles)
 
-             dlogr   = ( LOG10(rmax) - LOG10(rmin) ) / ( number_of_particles - local_start(kp,jp,ip) + 1 )
-!
-!--          Initialize the aerosols with a predefined spectral distribution
-!--          of the dry radius (logarithmically increasing bins) and a varying
-!--          weighting factor
+             dlogr   = ( LOG10( rmax ) - LOG10( rmin ) ) /                                         &
+                       ( number_of_particles - local_start(kp,jp,ip) + 1 )
+!
+!--          Initialize the aerosols with a predefined spectral distribution of the dry radius
+!--          (logarithmically increasing bins) and a varying weighting factor.
              DO  n = local_start(kp,jp,ip), number_of_particles  !only new particles
 
@@ -1799,25 +1752,26 @@
 
                 particles(n)%aux1          = r_mid
-                particles(n)%weight_factor =                                           &
-                   ( na(1) / ( SQRT( 2.0_wp * pi ) * log_sigma(1) ) *                     &
-                     EXP( - LOG10( r_mid / rm(1) )**2 / ( 2.0_wp * log_sigma(1)**2 ) ) +  &
-                     na(2) / ( SQRT( 2.0_wp * pi ) * log_sigma(2) ) *                     &
-                     EXP( - LOG10( r_mid / rm(2) )**2 / ( 2.0_wp * log_sigma(2)**2 ) ) +  &
-                     na(3) / ( SQRT( 2.0_wp * pi ) * log_sigma(3) ) *                     &
-                     EXP( - LOG10( r_mid / rm(3) )**2 / ( 2.0_wp * log_sigma(3)**2 ) )    &
-                   ) * ( LOG10(r_r) - LOG10(r_l) ) * ( dx * dy * dzw(kp) )
-
-!
-!--             Multiply weight_factor with the namelist parameter aero_weight
-!--             to increase or decrease the number of simulated aerosols
+                particles(n)%weight_factor =                                                       &
+                   ( na(1) / ( SQRT( 2.0_wp * pi ) * log_sigma(1) ) *                              &
+                     EXP( - LOG10( r_mid / rm(1) )**2 / ( 2.0_wp * log_sigma(1)**2 ) ) +           &
+                     na(2) / ( SQRT( 2.0_wp * pi ) * log_sigma(2) ) *                              &
+                     EXP( - LOG10( r_mid / rm(2) )**2 / ( 2.0_wp * log_sigma(2)**2 ) ) +           &
+                     na(3) / ( SQRT( 2.0_wp * pi ) * log_sigma(3) ) *                              &
+                     EXP( - LOG10( r_mid / rm(3) )**2 / ( 2.0_wp * log_sigma(3)**2 ) )             &
+                   ) * ( LOG10( r_r ) - LOG10( r_l ) ) * ( dx * dy * dzw(kp) )
+
+!
+!--             Multiply weight_factor with the namelist parameter aero_weight to increase or
+!--             decrease the number of simulated aerosols
                 particles(n)%weight_factor = particles(n)%weight_factor * aero_weight
 !
 !--             Create random numver with parallel number generator
                 CALL random_number_parallel( random_dummy )
-                IF ( particles(n)%weight_factor - FLOOR(particles(n)%weight_factor,KIND=wp) &
+                IF ( particles(n)%weight_factor - FLOOR( particles(n)%weight_factor, KIND=wp )     &
                      > random_dummy )  THEN
-                   particles(n)%weight_factor = FLOOR(particles(n)%weight_factor,KIND=wp) + 1.0_wp
+                   particles(n)%weight_factor = FLOOR( particles(n)%weight_factor, KIND=wp )       &
+                                                + 1.0_wp
                 ELSE
-                   particles(n)%weight_factor = FLOOR(particles(n)%weight_factor,KIND=wp)
+                   particles(n)%weight_factor = FLOOR( particles(n)%weight_factor, KIND=wp )
                 ENDIF
 !
